package cubo3d;

import java.awt.Color;
import java.util.ArrayList;
import java.util.List;

public class Forma3D {

    protected List<Vertice3D> vertices = new ArrayList();
    protected List<Aresta3D> arestas = new ArrayList();
    protected List<Face3D> faces = new ArrayList();
        
    protected Color facesCor = Color.RED;
    protected Color arestasCor = Color.WHITE;
    
    public void constroi() {
        vertices.clear();
        arestas.clear();
        faces.clear();
    }
        
    public List<Vertice3D> getVertices() {
        return vertices;
    }
    
    public List<Aresta3D> getArestas() {
        return arestas;
    }
    
    public List<Face3D> getFaces() {
        return faces;        
    }
    
    public Color getFacesCor() {
        return facesCor;
    }
    
    public void setFacesCor( Color facesCor ) {
        this.facesCor = facesCor;
    }

    public Color getArestasCor() {
        return arestasCor;
    }

    public void setArestasCor(Color arestasCor) {
        this.arestasCor = arestasCor;
    }
    
    
            
}
