package cubo3d;

public class Cubo3D extends Forma3D {
                
    public void constroi( double lado ) {
        super.constroi();                
        
        double l = lado / 2.0d;
        
        Vertice3D v1 = new Vertice3D( -l, -l, -l );
        Vertice3D v2 = new Vertice3D( -l,  l, -l );
        Vertice3D v3 = new Vertice3D(  l,  l, -l );
        Vertice3D v4 = new Vertice3D(  l, -l, -l );

        Vertice3D v5 = new Vertice3D( -l, -l,  l );
        Vertice3D v6 = new Vertice3D( -l,  l,  l );
        Vertice3D v7 = new Vertice3D(  l,  l,  l );
        Vertice3D v8 = new Vertice3D(  l, -l,  l );
        
        Face3D f1 = new Face3D();
        f1.getVertices().add( v1 );
        f1.getVertices().add( v2 );
        f1.getVertices().add( v3 );
        f1.getVertices().add( v4 );
                
        Face3D f2 = new Face3D();
        f2.getVertices().add( v5 );
        f2.getVertices().add( v6 );
        f2.getVertices().add( v7 );
        f2.getVertices().add( v8 );
        
        Face3D f3 = new Face3D();
        f3.getVertices().add( v1 );
        f3.getVertices().add( v2 );
        f3.getVertices().add( v6 );
        f3.getVertices().add( v5 );          
        
        Face3D f4 = new Face3D();
        f4.getVertices().add( v2 );
        f4.getVertices().add( v3 );
        f4.getVertices().add( v7 );
        f4.getVertices().add( v6 );
        
        Face3D f5 = new Face3D();
        f5.getVertices().add( v3 );
        f5.getVertices().add( v4 );
        f5.getVertices().add( v8 );
        f5.getVertices().add( v7 );
        
        Face3D f6 = new Face3D();
        f6.getVertices().add( v4 );
        f6.getVertices().add( v1 );
        f6.getVertices().add( v5 );
        f6.getVertices().add( v8 );
        
        Aresta3D a1 = new Aresta3D( v1, v2 );
        Aresta3D a2 = new Aresta3D( v2, v3 );
        Aresta3D a3 = new Aresta3D( v3, v4 );
        Aresta3D a4 = new Aresta3D( v4, v1 );
                
        Aresta3D a5 = new Aresta3D( v5, v6 );
        Aresta3D a6 = new Aresta3D( v6, v7 );
        Aresta3D a7 = new Aresta3D( v7, v8 );
        Aresta3D a8 = new Aresta3D( v8, v5 );
        
        Aresta3D a9  = new Aresta3D( v1, v5 );
        Aresta3D a10 = new Aresta3D( v2, v6 );
        Aresta3D a11 = new Aresta3D( v3, v7 );
        Aresta3D a12 = new Aresta3D( v4, v8 );
        
        super.vertices.add( v1 );
        super.vertices.add( v2 );
        super.vertices.add( v3 );
        super.vertices.add( v4 );
        super.vertices.add( v5 );
        super.vertices.add( v6 );
        super.vertices.add( v7 );
        super.vertices.add( v8 );
                
        super.arestas.add( a1 );
        super.arestas.add( a2 );
        super.arestas.add( a3 );
        super.arestas.add( a4 );
        super.arestas.add( a5 );
        super.arestas.add( a6 );
        super.arestas.add( a7 );
        super.arestas.add( a8 );
        super.arestas.add( a9 );
        super.arestas.add( a10 );
        super.arestas.add( a11 );
        super.arestas.add( a12 );
        
        super.faces.add( f1 );
        super.faces.add( f2 );
        super.faces.add( f3 );
        super.faces.add( f4 );
        super.faces.add( f5 );
        super.faces.add( f6 );
    }
    
}
